### Method

# Snapd Client get_snap_conf_sync

since: 1.48

#### Declaration [src]

    GHashTable*
    snapd_client_get_snap_conf_sync (
      SnapdClient* client,
      const gchar* name,
      GStrv keys,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get configuration for a snap. System configuration is stored using the name “system”.

Available since: 1.48

#### Parameters

`name`

  Type: `const gchar*`

  Name of snap to get configuration from.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`keys`

  Type: An array of `utf8`

  Keys to returns or `NULL` to return all.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GHashTable`

A table of configuration values or `NULL` on error.

The caller of the method takes ownership of the returned data container, but not the data inside it.